summaryrefslogtreecommitdiffstats
path: root/multimedia/avidemux
diff options
context:
space:
mode:
author John Vogel <jvogel@stny.rr.com>2015-03-03 11:15:27 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-03-03 11:15:27 +0700
commitaee47c40c30fc525bbc0334e2f5d2aba3499b697 (patch)
treeaf5aa2fda7d9693f0a47664e3a7fd0f0cef78bdc /multimedia/avidemux
parent6763d56acc303b12ec152f85388813f552b7e241 (diff)
downloadslackbuilds-aee47c40c30fc525bbc0334e2f5d2aba3499b697.tar.gz
slackbuilds-aee47c40c30fc525bbc0334e2f5d2aba3499b697.tar.xz
multimedia/avidemux: Updated for version 2.6.8.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'multimedia/avidemux')
-rw-r--r--multimedia/avidemux/avidemux.SlackBuild243
-rw-r--r--multimedia/avidemux/avidemux.info6
2 files changed, 139 insertions, 110 deletions
diff --git a/multimedia/avidemux/avidemux.SlackBuild b/multimedia/avidemux/avidemux.SlackBuild
index 1637ff2..0deadae 100644
--- a/multimedia/avidemux/avidemux.SlackBuild
+++ b/multimedia/avidemux/avidemux.SlackBuild
@@ -2,7 +2,9 @@
# Slackware build script for avidemux
-# Copyright 2007 Adnan Hodzic <AbsintheSyringe@gmail.com>
+# Derived from a SlackBuild by Eric Hameleers.
+# Copyright 2009, 2010, 2011, 2013 Eric Hameleers, Eindhoven, NL
+# Copyright 2015 John Vogel Corning, NY USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -11,25 +13,24 @@
# 1. Redistributions of this script must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#
-# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
-# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
-# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
-# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
-# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
-# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
-# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
-# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
-# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
-# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-
-# Modified by Niklas "Nille" Åkerström to use cmake since thats what the
-# project will use in the future. No additional license terms added
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=avidemux
-VERSION=${VERSION:-2.5.6}
-BUILD=${BUILD:-3}
+VERSION=${VERSION:-2.6.8}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+DOCS="AUTHORS License.txt COPYING scripts/automkv.py"
+
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
@@ -62,120 +63,148 @@ set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
-rm -rf $PRGNAM-$VERSION
+rm -rf ${PRGNAM}_${VERSION}
tar xvf $CWD/${PRGNAM}_${VERSION}.tar.gz
-mv ${PRGNAM}_${VERSION} $PRGNAM-$VERSION
-cd $PRGNAM-$VERSION
+cd ${PRGNAM}_${VERSION}
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
-o -perm 511 \) -exec chmod 755 {} \; -o \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
- -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-if [ "$ARCH" = "x86_64" ]; then
- # Some paths are incorrectly hardcoded to "lib":
- sed -i -e "s/Dir=\"lib\"/Dir=\"lib${LIBDIRSUFFIX}\"/" $(grep -lr 'Dir="lib"' .)
-fi
+mkdir -p build_core
+cd build_core
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DFAKEROOT="$PKG" \
+ ../avidemux_core
+ make
+ make install DESTDIR=$PKG
+cd ..
-# Cut away jobs number from the MAKEFLAGS
-MAKEFLAGS=$(echo "$MAKEFLAGS" | sed "s/-j[0-999]//g")
+mkdir -p build_qt4
+cd build_qt4
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DFAKEROOT="$PKG" \
+ ../avidemux/qt4
+ make
+ make install DESTDIR=$PKG
+cd ..
-mkdir build
-cd build
+mkdir -p build_gtk
+cd build_gtk
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DFAKEROOT="$PKG" \
+ ../avidemux/gtk
+ make
+ make install DESTDIR=$PKG
+cd ..
- CFLAGS="$SLKCFLAGS" \
- CXXFLAGS="$SLKCFLAGS" \
- cmake . \
- -DCMAKE_INSTALL_PREFIX:STRING="/usr" \
+mkdir -p build_cli
+cd build_cli
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
-DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DFAKEROOT="$PKG" \
+ ../avidemux/cli
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+mkdir -p build_plugins_common
+cd build_plugins_common
+ cmake \
-DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
- -DCMAKE_VERBOSE_MAKEFILE:BOOL="TRUE" \
- -DLIB_SUFFIX:STRING="$LIBDIRSUFFIX" ..
-
-# Here are some valid options for cmake to build or not build against a dep
-# (for those who aren't very familiar with cmake)
-# Note that none of them should be needed though, as cmake automatically
-# detects what is and isn't on the system.
-# They're all boolean values, so it uses TRUE 1 YES or FALSE 0 NO
-# (TRUE, 1, and YES all mean the same thing and you should only use one of them)
-# alsa || -DNO_ALSA:BOOL=
-# oss || -DNO_OSS:BOOL=
-# nls || -DNO_NLS:BOOL=
-# sdl || -DNO_SDL:BOOL=
-# fontconfig || -DNO_FontConfig:BOOL=
-# xv || -DNO_Xvideo:BOOL=
-# esd || -DNO_Esd:BOOL=
-# jack || -DNO_Jack:BOOL=
-# aften || -DNO_Aften:BOOL=
-# libsamplerate || -DNO_libsamplerate:BOOL=
-# lame || -DNO_Lame:BOOL=
-# faac -DNO_FAAC:BOOL=
-# xvid || -DNO_Xvid:BOOL=
-# amrnb || -DNO_AMRNB:BOOL=
-# dts || -DNO_libdca:BOOL=
-# x264 || -DNO_x264:BOOL=
-# aac || -DNO_FAAD:BOOL=
-# aac || -DNO_NeAAC:BOOL=
-# vorbis || -DNO_Vorbis:BOOL=
-# png || -DNO_libPNG:BOOL=
-# arts || -DNO_ARTS:BOOL=
-# truetype || -DNO_FREETYPE:BOOL=
-# gtk || -DNO_GTK:BOOL=
-# qt4 || -DNO_QT4:BOOL=
-
- make -j1
- make DESTDIR=$PKG install/strip
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DAVIDEMUX_SOURCE_DIR="$TMP/${PRGNAM}_${VERSION}" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DPLUGIN_UI=COMMON \
+ -DFAKEROOT="$PKG" \
+ ../avidemux_plugins
+ make
+ make install DESTDIR=$PKG
cd ..
-mkdir -p build_plugins
-cd build_plugins
+mkdir -p build_plugins_qt4
+cd build_plugins_qt4
cmake \
-DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
-DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DAVIDEMUX_SOURCE_DIR="$TMP/${PRGNAM}_${VERSION}" \
-DCMAKE_INSTALL_PREFIX=/usr \
- -DMAN_INSTALL_DIR=/usr/man \
- -DSYSCONF_INSTALL_DIR=/etc \
- -DLIB_SUFFIX=${LIBDIRSUFFIX} \
- -DAVIDEMUX_SOURCE_DIR=$(cd .. ; pwd) \
- -DAVIDEMUX_CORECONFIG_DIR=$(cd .. ; pwd)/build/config \
- -DAVIDEMUX_INSTALL_PREFIX=$(cd .. ; pwd)/build \
- ../plugins
- make -j1
- make DESTDIR=$PKG install/strip
-cd -
+ -DPLUGIN_UI=QT4 \
+ -DFAKEROOT="$PKG" \
+ ../avidemux_plugins
+ make
+ make install DESTDIR=$PKG
+cd ..
-mkdir -p $PKG/usr/man/man1
-cat man/avidemux.1 | gzip -9c > $PKG/usr/man/man1/avidemux.1.gz
-
-cd $TMP/$PRGNAM-$VERSION
-mkdir -p $PKG/usr/share/{applications,pixmaps}
-mkdir -p $PKG/usr/share/icons/hicolor/{16x16,32x32,48x48,64x64}/apps
-# If the qt4 binary was built, we prefer to use that over the gtk version:
-if [ -x $PKG/usr/bin/avidemux2_qt4 ]; then
- cat avidemux2.desktop | sed -e 's/_gtk/_qt4/' \
- > $PKG/usr/share/applications/avidemux2.desktop
-else
- install -m644 avidemux2.desktop $PKG/usr/share/applications/avidemux2.desktop
-fi
+mkdir -p build_plugins_gtk
+cd build_plugins_gtk
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DAVIDEMUX_SOURCE_DIR="$TMP/${PRGNAM}_${VERSION}" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DPLUGIN_UI=GTK \
+ -DFAKEROOT="$PKG" \
+ ../avidemux_plugins
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+mkdir -p build_plugins_cli
+cd build_plugins_cli
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DAVIDEMUX_SOURCE_DIR="$TMP/${PRGNAM}_${VERSION}" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DPLUGIN_UI=CLI \
+ -DFAKEROOT="$PKG" \
+ ../avidemux_plugins
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+mkdir -p $PKG/usr/share/applications
+mkdir -p $PKG/usr/share/pixmaps
+install -m644 avidemux2.desktop $PKG/usr/share/applications/avidemux2_gtk.desktop
+cat avidemux2.desktop | sed -e 's/_gtk/_qt4/' \
+ > $PKG/usr/share/applications/avidemux2_qt4.desktop
install -m644 avidemux_icon.png $PKG/usr/share/pixmaps/avidemux.png
-install -m644 avidemux_icon.png \
- ${PKG}/usr/share/icons/hicolor/64x64/apps/avidemux.png
-convert avidemux_icon.png -resize 16x16 \
- ${PKG}/usr/share/icons/hicolor/16x16/apps/avidemux.png
-convert avidemux_icon.png -resize 32x32 \
- ${PKG}/usr/share/icons/hicolor/32x32/apps/avidemux.png
-convert avidemux_icon.png -resize 48x48 \
- ${PKG}/usr/share/icons/hicolor/48x48/apps/avidemux.png
-
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS COPYING README TODO $PKG/usr/doc/$PRGNAM-$VERSION
-cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+for sz in 16x16 32x32 48x48 64x64 ; do
+ mkdir -p $PKG/usr/share/icons/hicolor/$sz/apps
+ convert avidemux_icon.png -resize $sz \
+ $PKG/usr/share/icons/hicolor/$sz/apps/avidemux.png
+done
+
+mkdir -p $PKG/usr/man/man1
+install -m644 man/avidemux.1 $PKG/usr/man/man1/avidemux.1
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/${PRGNAM}-${VERSION}
+cp -a $DOCS $PKG/usr/doc/${PRGNAM}-${VERSION}
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/${PRGNAM}-${VERSION}/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
-
+/sbin/makepkg -l y -c n $OUTPUT/${PRGNAM}-${VERSION}-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/avidemux/avidemux.info b/multimedia/avidemux/avidemux.info
index 5d5e193..2de5aba 100644
--- a/multimedia/avidemux/avidemux.info
+++ b/multimedia/avidemux/avidemux.info
@@ -1,8 +1,8 @@
PRGNAM="avidemux"
-VERSION="2.5.6"
+VERSION="2.6.8"
HOMEPAGE="http://avidemux.org"
-DOWNLOAD="http://downloads.sourceforge.net/avidemux/avidemux_2.5.6.tar.gz"
-MD5SUM="00e479dd806b94a98d3f0f40639e88a9"
+DOWNLOAD="http://downloads.sourceforge.net/avidemux/avidemux_2.6.8.tar.gz"
+MD5SUM="33d0cd47cb84a4e9f4e1b3160405c85c"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES="a52dec faac faad2 lame libdca x264 xvidcore"